package com.steering.pss.sale.order.craftDesign.model;

/**
 * 轧管规格
 * 
 * @author Administrator
 * 
 */
public class CraftOrdDesignMscGzGgEntity {
	/**
	 * DESGIN_KEY
	 */
	private String desginKey = "";
	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 */
	private String mscPline = "";
	/**
	 * 钢种代码(COM_MSC_GRADE)
	 */
	private String gradecode = "";
	/**
	 * 钢种名称
	 */
	private String gradename = "";
	/**
	 * 轧管规格代码
	 */
	private String specCode = "";
	/**
	 * 轧管规格描述
	 */
	private String specName = "";
	/**
	 * 轧管规格-外径(mm)
	 */
	private String dimater = "";
	/**
	 * 轧管规格-壁厚(mm)
	 */
	private String height = "";

	/**
	 * DESGIN_KEY
	 * 
	 * @return value
	 */
	public String getDesginKey() {
		return desginKey;
	}

	/**
	 * DESGIN_KEY
	 * 
	 * @param desginKey
	 *            value
	 */
	public void setDesginKey(String desginKey) {
		this.desginKey = desginKey;
	}

	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 * 
	 * @return value
	 */
	public String getMscPline() {
		return mscPline;
	}

	/**
	 * 全程产线号(COM_MSC_BACKLOG)
	 * 
	 * @param mscPline
	 *            value
	 */
	public void setMscPline(String mscPline) {
		this.mscPline = mscPline;
	}

	/**
	 * 钢种代码(COM_MSC_GRADE)
	 * 
	 * @return value
	 */
	public String getGradecode() {
		return gradecode;
	}

	/**
	 * 钢种代码(COM_MSC_GRADE)
	 * 
	 * @param gradecode
	 *            value
	 */
	public void setGradecode(String gradecode) {
		this.gradecode = gradecode;
	}

	/**
	 * 钢种名称
	 * 
	 * @return value
	 */
	public String getGradename() {
		return gradename;
	}

	/**
	 * 钢种名称
	 * 
	 * @param gradename
	 *            value
	 */
	public void setGradename(String gradename) {
		this.gradename = gradename;
	}

	/**
	 * 轧管规格代码
	 * 
	 * @return value
	 */
	public String getSpecCode() {
		return specCode;
	}

	/**
	 * 轧管规格代码
	 * 
	 * @param specCode
	 *            value
	 */
	public void setSpecCode(String specCode) {
		this.specCode = specCode;
	}

	/**
	 * 轧管规格描述
	 * 
	 * @return value
	 */
	public String getSpecName() {
		return specName;
	}

	/**
	 * 轧管规格描述
	 * 
	 * @param specName
	 *            value
	 */
	public void setSpecName(String specName) {
		this.specName = specName;
	}

	/**
	 * 轧管规格-外径(mm)
	 * 
	 * @return value
	 */
	public String getDimater() {
		return dimater;
	}

	/**
	 * 轧管规格-外径(mm)
	 * 
	 * @param dimater
	 *            value
	 */
	public void setDimater(String dimater) {
		this.dimater = dimater;
	}

	/**
	 * 轧管规格-壁厚(mm)
	 * 
	 * @return value
	 */
	public String getHeight() {
		return height;
	}

	/**
	 * 轧管规格-壁厚(mm)
	 * 
	 * @param height
	 *            value
	 */
	public void setHeight(String height) {
		this.height = height;
	}
}
